	Integer Function Get_User_Info (user, enc_pass, salt, algorithm,
     &					min_length, flags)

C   Get information about the user.

	Implicit	None
	Include		'($UAIDEF)'
	Character *(*)	user
	Integer		enc_pass (2), salt, algorithm, min_length, flags
	Integer		Sys$Getuai, ok

	Structure /UAI_TYPE/
		Integer *2	bufsize
		Integer *2	code
		Integer *4	address
		Integer *4	length
	End Structure

	Record	/UAI_TYPE/	item (5)

C   Start loading the item list.

C   The encryption algorithm
                                   
	item (1).bufsize = 1	       	! byte of info
	item (1).code = UAI$_Encrypt
	item (1).address = %Loc (algorithm)
	item (1).length = 0		! not interested

C   User Flags

	item (2).bufsize = 4		! longword
	item (2).code = UAI$_Flags
	item (2).address = %Loc (flags)
	item (2).length = 0

C   The encrypted password

	item (3).bufsize = 8
	item (3).code = UAI$_Pwd
	item (3).address = %Loc (enc_pass)
	item (3).length = 0

C   Minimum password length

	item (4).bufsize = 4
	item (4).code = UAI$_Pwd_Length
	item (4).address = %Loc (min_length)
	item (4).length = 0

C   Terminator

	item (5).bufsize = 0
	item (5).code = 0

C   Go get it.

	Get_User_Info = Sys$Getuai (,, user, item,,,)
	End
